"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VersionControl(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_2 import participant as participant_1_5_0

        return {
            "org.gel.models.participant.avro.VersionControl": participant_1_5_0.VersionControl,
        }

    __slots__ = [
        "GitVersionControl",
    ]

    def __init__(
        self,
        GitVersionControl="1.5.0",
        validate=None,
        **kwargs
    ):
        """Initialise the participant_1_5_0.VersionControl model.

        :param GitVersionControl:
            This is the version for the entire set of data models as referred to
            the Git release tag
        :type GitVersionControl: str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.5.0"
